<template>
  <BaseCard class="auth-form">
    <div class="auth-form__logo">
      <BaseLogo />
    </div>
    <div class="auth-form__inner">
      <slot />
    </div>
  </BaseCard>
</template>

<script>
import BaseCard from '../base/BaseCard'
import BaseLogo from '../base/BaseLogo'


export default {
  components: { BaseCard, BaseLogo }
}
</script>

<style scoped lang="scss">
.auth-form {
  &__logo {
    display: flex;
    justify-content: center;
    margin-bottom: 25px;
  }
  &__inner {
    width: 100%;
  }
}
</style>